Bug 111217 - gnome-speech-0.4.10 fails to compile due to broken #include lines
Summary: gnome-speech-0.4.10 fails to compile due to broken #include lines
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-04 07:00 UTC by jau
Modified: 2007-04-09 18:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.45 KB, patch)
2007-04-04 07:00 UTC, jau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jau 2007-04-04 07:00:13 UTC
There are a few gnome-speech-0.4.10 source files which try to include
the speak_lib.h header as
#include <speak_lib.h>
This does not succeed though, because /usr/local/include/espeak is not part
of the include path at compile time.

Fix: Either fix the broken #include lines as done in the attached patch or
automatically add /usr/local/include/espeak to the include path during
the "make patch" or "make configure" phases.

The preferred method to fixing this kind of problems is fixing the actual
#include lines, because espeak is an independent software package which
should keep its own headers under its own special directory anyhow.


Patch attached with submission follows:
How-To-Repeat: Just try to make the gnome-speech-0.4.10 port and you should see
the compilation fail unless you have added something to your
environment to add /usr/local/include/espeak to your include path.
Comment 1 Edwin Groothuis freebsd_committer 2007-04-04 07:02:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer
Comment 2 Jeremy Messenger freebsd_committer 2007-04-06 19:19:48 UTC
State Changed
From-To: open->feedback

This patch doesn't look right. Please provide more details such as log of 
build failure, pkg_info and etc as explained in this URL below. Thanks. 

http://www.freebsd.org/gnome/docs/bugging.html 

I will taking a look at it when I am back in town on this Sunday, unless 
someone want to take care of it before I do.
Comment 3 dfilter service freebsd_committer 2007-04-09 18:33:02 UTC
mezz        2007-04-09 17:32:52 UTC

  FreeBSD ports repository

  Modified files:
    accessibility/gnome-speech Makefile pkg-plist 
  Log:
  - Fix the '==' -> '=' in configure.
  - Fix the build [1], dependency and plist if audio/espeak is installed in the
    system.
  - Add a new knob, WITH_ESPEAK, with autocheck.
  - Bump the PORTREVISION.
  
  PR:             ports/111217 [1]
  Reported by:    Jukka A. Ukkonen <jau@iki.fi> [1]
  
  Revision  Changes    Path
  1.26      +18 -1     ports/accessibility/gnome-speech/Makefile
  1.4       +2 -0      ports/accessibility/gnome-speech/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Jeremy Messenger freebsd_committer 2007-04-09 18:33:13 UTC
State Changed
From-To: feedback->closed

Fixed, wait for CVSup mirror to catch up.